<template>
  <v-container
    fill-height
    fluid
    grid-list-xl
  >
    <v-layout justify-center wrap>
      <v-flex mb-5 md4 xs12>
        <h2>Профиль</h2>
        <br>
        <v-card>
          <v-layout row wrap>
            <v-flex>
              <v-avatar
                class="elevation-10 v-offset mx-auto d-block"
                size="150"
              >
                <img
                  alt="Avatar"
                  src="https://cdn2.iconfinder.com/data/icons/circle-avatars-1/128/050_girl_avatar_profile_woman_suit_student_officer-512.png"
                >
              </v-avatar>

              <h1 class="font-weight-thin text-xs-center">{{ user.username }}</h1>
              <v-form @submit.prevent="updateProfile(user)">
                <v-list>
                  <v-list-tile @click="">
                    <v-list-tile-action>
                      <v-icon>mail</v-icon>
                    </v-list-tile-action>

                    <v-text-field
                      :error="errors.has('username')"
                      :error-messages="errors.collect('username')"
                      :label="$t('myProfile.FULLNAME')"
                      data-vv-validate-on="change|blur"
                      name="text"
                      v-model="user.username"
                      v-validate="'required'"
                    ></v-text-field>
                  </v-list-tile>
                  <br>
                  <v-list-tile @click="">
                    <v-list-tile-action>
                      <v-icon>mail</v-icon>
                    </v-list-tile-action>

                    <v-text-field
                      :error="errors.has('email')"
                      :error-messages="errors.collect('email')"
                      :label="$t('myProfile.EMAIL')"
                      data-vv-validate-on="change|blur"
                      name="email"
                      v-model="user.email"
                      v-validate="'required'"
                    ></v-text-field>
                  </v-list-tile>
                  <br>
                  <v-list-tile @click="">
                    <v-list-tile-action>
                      <v-icon>phone</v-icon>
                    </v-list-tile-action>

                    <v-list-tile-content>
                      <v-list-tile-sub-title>
                        {{ $t('myProfile.PHONE') }}
                      </v-list-tile-sub-title>
                      <v-list-tile-title>{{user.phone}}</v-list-tile-title>
                    </v-list-tile-content>
                  </v-list-tile>
                </v-list>
                <div class="flex xs12 text-xs-center">
                  <base-button
                    :errorsCount="errors.count()"
                    text="Сохранить"
                    class="mx-0"
                    large
                  />
                </div>
              </v-form>
            </v-flex>
          </v-layout>
        </v-card>
      </v-flex>
    </v-layout>
  </v-container>
</template>

<script>
  import { mapActions, mapGetters } from 'vuex'
  import BaseButton from '@/components/base/Button'

  export default {
    name: 'Profile',
    components: { BaseButton },
    computed: {
      ...mapGetters(['user'])
    },
    methods: { ...mapActions(['updateProfile']) }
  }
</script>
